package com.chenyang.nse.bussiness.entity.vo;

import java.util.Map;

public class TUserProjReqVO {
   private String projectid;
   private String crud;
   private Map<String, String> ucMap;
   private String updateuserid;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getCrud() {
      return this.crud;
   }

   public void setCrud(String crud) {
      this.crud = crud;
   }

   public Map<String, String> getUcMap() {
      return this.ucMap;
   }

   public void setUcMap(Map<String, String> ucMap) {
      this.ucMap = ucMap;
   }

   public String getUpdateuserid() {
      return this.updateuserid;
   }

   public void setUpdateuserid(String updateuserid) {
      this.updateuserid = updateuserid;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TUserProjReqVO)) {
         return false;
      } else {
         TUserProjReqVO other = (TUserProjReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            Object this$crud = this.getCrud();
            Object other$crud = other.getCrud();
            if (this$crud == null) {
               if (other$crud != null) {
                  return false;
               }
            } else if (!this$crud.equals(other$crud)) {
               return false;
            }

            Object this$ucMap = this.getUcMap();
            Object other$ucMap = other.getUcMap();
            if (this$ucMap == null) {
               if (other$ucMap != null) {
                  return false;
               }
            } else if (!this$ucMap.equals(other$ucMap)) {
               return false;
            }

            Object this$updateuserid = this.getUpdateuserid();
            Object other$updateuserid = other.getUpdateuserid();
            if (this$updateuserid == null) {
               if (other$updateuserid != null) {
                  return false;
               }
            } else if (!this$updateuserid.equals(other$updateuserid)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TUserProjReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      Object $crud = this.getCrud();
      result = result * 59 + ($crud == null ? 43 : $crud.hashCode());
      Object $ucMap = this.getUcMap();
      result = result * 59 + ($ucMap == null ? 43 : $ucMap.hashCode());
      Object $updateuserid = this.getUpdateuserid();
      result = result * 59 + ($updateuserid == null ? 43 : $updateuserid.hashCode());
      return result;
   }

   public String toString() {
      return "TUserProjReqVO(projectid=" + this.getProjectid() + ", crud=" + this.getCrud() + ", ucMap=" + this.getUcMap() + ", updateuserid=" + this.getUpdateuserid() + ")";
   }
}
